IM_CIRCLE(3X)

NAME
im_circle - draws a circle within an image file

SYNOPSIS
#include <vips/vips.h> int im_circle(im, cx, cy, radius, intensity)
IMAGE *im;
int cx, cy;
int radius, intensity;

DESCRIPTION
im_circle() draws a circle on top of an image pointed by the image descriptor im. Input im should be one band unsigned char image. It must be stressed that a call to this function overwrites the content of the original image at the points corresponding to the drawn circle. The centre of the circle is at point (cx, cy) and has radius radius and the intensity of the produced circle is given by the int intensity (between 0 and 255). If the circle does not fit in the original image, an error code is returned.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_histplot(3X) im_mmapin(3X), im_openout(3X), im_setbuf(3X), circle(1), im_line(3X).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991